Create a new study
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/studies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en"
},
"idOfStudyToDuplicate": "<string>",
"studyTemplateId": "<string>",
"teamId": "<string>",
"populationId": "<string>"
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies"
payload = {
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"includeScreener": True,
"brandingConfigId": "<string>",
"language": "en"
},
"idOfStudyToDuplicate": "<string>",
"studyTemplateId": "<string>",
"teamId": "<string>",
"populationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
studyPlan: {
name: '<string>',
externalName: '<string>',
description: '<string>',
startDate: '2025-01-01',
endDate: '2025-01-02',
researchPlanUrl: '<string>',
participationLimit: 10,
consentFormId: '<string>',
includeScreener: true,
brandingConfigId: '<string>',
language: 'en'
},
idOfStudyToDuplicate: '<string>',
studyTemplateId: '<string>',
teamId: '<string>',
populationId: '<string>'
})
};
fetch('https://api.rallyuxr.com/api/public/v1/studies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'studyPlan' => [
'name' => '<string>',
'externalName' => '<string>',
'description' => '<string>',
'startDate' => '2025-01-01',
'endDate' => '2025-01-02',
'researchPlanUrl' => '<string>',
'participationLimit' => 10,
'consentFormId' => '<string>',
'includeScreener' => true,
'brandingConfigId' => '<string>',
'language' => 'en'
],
'idOfStudyToDuplicate' => '<string>',
'studyTemplateId' => '<string>',
'teamId' => '<string>',
'populationId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies"
payload := strings.NewReader("{\n \"studyPlan\": {\n \"name\": \"<string>\",\n \"externalName\": \"<string>\",\n \"description\": \"<string>\",\n \"startDate\": \"2025-01-01\",\n \"endDate\": \"2025-01-02\",\n \"researchPlanUrl\": \"<string>\",\n \"participationLimit\": 10,\n \"consentFormId\": \"<string>\",\n \"includeScreener\": true,\n \"brandingConfigId\": \"<string>\",\n \"language\": \"en\"\n },\n \"idOfStudyToDuplicate\": \"<string>\",\n \"studyTemplateId\": \"<string>\",\n \"teamId\": \"<string>\",\n \"populationId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rallyuxr.com/api/public/v1/studies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"studyPlan\": {\n \"name\": \"<string>\",\n \"externalName\": \"<string>\",\n \"description\": \"<string>\",\n \"startDate\": \"2025-01-01\",\n \"endDate\": \"2025-01-02\",\n \"researchPlanUrl\": \"<string>\",\n \"participationLimit\": 10,\n \"consentFormId\": \"<string>\",\n \"includeScreener\": true,\n \"brandingConfigId\": \"<string>\",\n \"language\": \"en\"\n },\n \"idOfStudyToDuplicate\": \"<string>\",\n \"studyTemplateId\": \"<string>\",\n \"teamId\": \"<string>\",\n \"populationId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"studyPlan\": {\n \"name\": \"<string>\",\n \"externalName\": \"<string>\",\n \"description\": \"<string>\",\n \"startDate\": \"2025-01-01\",\n \"endDate\": \"2025-01-02\",\n \"researchPlanUrl\": \"<string>\",\n \"participationLimit\": 10,\n \"consentFormId\": \"<string>\",\n \"includeScreener\": true,\n \"brandingConfigId\": \"<string>\",\n \"language\": \"en\"\n },\n \"idOfStudyToDuplicate\": \"<string>\",\n \"studyTemplateId\": \"<string>\",\n \"teamId\": \"<string>\",\n \"populationId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"studyId": "<string>"
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbidden{Resource} not foundToo Many RequestsInternal Server ErrorStudies
Create a new study
Create a new study in your workspace. This can only be a draft study, certain features not supported and require updating in the UI
POST
/
studies
Create a new study
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/studies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en"
},
"idOfStudyToDuplicate": "<string>",
"studyTemplateId": "<string>",
"teamId": "<string>",
"populationId": "<string>"
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies"
payload = {
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"includeScreener": True,
"brandingConfigId": "<string>",
"language": "en"
},
"idOfStudyToDuplicate": "<string>",
"studyTemplateId": "<string>",
"teamId": "<string>",
"populationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
studyPlan: {
name: '<string>',
externalName: '<string>',
description: '<string>',
startDate: '2025-01-01',
endDate: '2025-01-02',
researchPlanUrl: '<string>',
participationLimit: 10,
consentFormId: '<string>',
includeScreener: true,
brandingConfigId: '<string>',
language: 'en'
},
idOfStudyToDuplicate: '<string>',
studyTemplateId: '<string>',
teamId: '<string>',
populationId: '<string>'
})
};
fetch('https://api.rallyuxr.com/api/public/v1/studies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/studies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'studyPlan' => [
'name' => '<string>',
'externalName' => '<string>',
'description' => '<string>',
'startDate' => '2025-01-01',
'endDate' => '2025-01-02',
'researchPlanUrl' => '<string>',
'participationLimit' => 10,
'consentFormId' => '<string>',
'includeScreener' => true,
'brandingConfigId' => '<string>',
'language' => 'en'
],
'idOfStudyToDuplicate' => '<string>',
'studyTemplateId' => '<string>',
'teamId' => '<string>',
'populationId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/studies"
payload := strings.NewReader("{\n \"studyPlan\": {\n \"name\": \"<string>\",\n \"externalName\": \"<string>\",\n \"description\": \"<string>\",\n \"startDate\": \"2025-01-01\",\n \"endDate\": \"2025-01-02\",\n \"researchPlanUrl\": \"<string>\",\n \"participationLimit\": 10,\n \"consentFormId\": \"<string>\",\n \"includeScreener\": true,\n \"brandingConfigId\": \"<string>\",\n \"language\": \"en\"\n },\n \"idOfStudyToDuplicate\": \"<string>\",\n \"studyTemplateId\": \"<string>\",\n \"teamId\": \"<string>\",\n \"populationId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rallyuxr.com/api/public/v1/studies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"studyPlan\": {\n \"name\": \"<string>\",\n \"externalName\": \"<string>\",\n \"description\": \"<string>\",\n \"startDate\": \"2025-01-01\",\n \"endDate\": \"2025-01-02\",\n \"researchPlanUrl\": \"<string>\",\n \"participationLimit\": 10,\n \"consentFormId\": \"<string>\",\n \"includeScreener\": true,\n \"brandingConfigId\": \"<string>\",\n \"language\": \"en\"\n },\n \"idOfStudyToDuplicate\": \"<string>\",\n \"studyTemplateId\": \"<string>\",\n \"teamId\": \"<string>\",\n \"populationId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/studies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"studyPlan\": {\n \"name\": \"<string>\",\n \"externalName\": \"<string>\",\n \"description\": \"<string>\",\n \"startDate\": \"2025-01-01\",\n \"endDate\": \"2025-01-02\",\n \"researchPlanUrl\": \"<string>\",\n \"participationLimit\": 10,\n \"consentFormId\": \"<string>\",\n \"includeScreener\": true,\n \"brandingConfigId\": \"<string>\",\n \"language\": \"en\"\n },\n \"idOfStudyToDuplicate\": \"<string>\",\n \"studyTemplateId\": \"<string>\",\n \"teamId\": \"<string>\",\n \"populationId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"studyId": "<string>"
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbidden{Resource} not foundToo Many RequestsInternal Server ErrorAuthorizations
Body
application/json
Create study input